cURL
curl -X PUT "https://app.cotool.ai/api/threat-model" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"content":"string","changeDescription":"string"}'import requests
url = "https://app.cotool.ai/api/threat-model"
payload = {
"content": "<string>",
"changeDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', changeDescription: '<string>'})
};
fetch('https://app.cotool.ai/api/threat-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/threat-model")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"changeDescription\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/threat-model"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"changeDescription\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currentVersion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"isCurrent": true,
"authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelAlias": "<string>",
"changeDescription": "<string>",
"createdAt": "<string>",
"content": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}ThreatModel
Update threat model
Save a user-edited threat model as a new version in the organization history.
PUT
/
api
/
threat-model
cURL
curl -X PUT "https://app.cotool.ai/api/threat-model" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"content":"string","changeDescription":"string"}'import requests
url = "https://app.cotool.ai/api/threat-model"
payload = {
"content": "<string>",
"changeDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', changeDescription: '<string>'})
};
fetch('https://app.cotool.ai/api/threat-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/threat-model")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"changeDescription\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/threat-model"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"changeDescription\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currentVersion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"isCurrent": true,
"authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelAlias": "<string>",
"changeDescription": "<string>",
"createdAt": "<string>",
"content": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Body
application/json
Was this page helpful?
⌘I